<?php
// include database and object files
include_once 'config/core.php';
include_once 'config/database.php';
include_once 'objects/product.php';
include_once 'objects/category.php';

// instantiate database and product object
$database = new Database();
$db = $database->getConnection();

$product = new Product($db);
$category = new Category($db);

// set page headers
$page_title = "Read One Product";
include_once "layout_header.php";

// read products button
echo "<div class='right-button-margin m-b-15px overflow-hidden'>";
	echo "<a href='index.php' class='btn btn-primary pull-right'>";
		echo "<span class='glyphicon glyphicon-list'></span> Read Products";
	echo "</a>";
echo "</div>";

// get ID of the product to be read
$id = isset($_GET['id']) ? $_GET['id'] : die('ERROR: missing ID.');

// set ID property of product to be read
$product->id = $id;

// read the details of product to be read
$product->readOne();

// HTML table for displaying a product details
echo "<table class='table table-hover table-responsive table-bordered'>";

	echo "<tr>";
		echo "<td>Name</td>";
		echo "<td>{$product->name}</td>";
	echo "</tr>";

	echo "<tr>";
		echo "<td>Price</td>";
		echo "<td>&#36;{$product->price}</td>";
	echo "</tr>";

	echo "<tr>";
		echo "<td>Description</td>";
		echo "<td>{$product->description}</td>";
	echo "</tr>";

	echo "<tr>";
	    echo "<td>Image</td>";
	    echo "<td>";
	        echo $product->image ? "<img src='uploads/{$product->image}' style='width:300px;' />" : "No image found.";
	    echo "</td>";
	echo "</tr>";
	
	echo "<tr>";
		echo "<td>Category</td>";
		echo "<td>{$product->category_name}</td>";
	echo "</tr>";

echo "</table>";

include_once "layout_footer.php";
?>
